#include "ErrorInfoDialog.h"
#include "ui_ErrorInfoDialog.h"

ErrorInfoDialog::ErrorInfoDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ErrorInfoDialog)
{
    ui->setupUi(this);
}

ErrorInfoDialog::~ErrorInfoDialog()
{
    delete ui;
}

/*!
 * \brief ErrorInfoDialog::setErrorInfo 设置错误信息。
 * \param prcOtpt 要设置的错误信息。
 */
void ErrorInfoDialog::setErrorInfo(QString prcOtpt)
{
    ui->logplainTextEdit->clear (); //清空。

    ui->logplainTextEdit->appendPlainText (prcOtpt); //添加内容。

    return;
} //void ErrorInfoDialog::setErrorInfo(QString prcOtpt) //!<设置错误信息。
