QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = sstm
TEMPLATE = app


SOURCES += main.cpp\
    tunnelinfodialog.cpp \
    ErrorInfoDialog.cpp \
    SstmSettingDialog.cpp \
    SstmTtsClient.cpp \
    TunnelStatusChecker.cpp \
    Sstm.cpp \
    Tunnel.cpp

HEADERS  += sstm.h \
    tunnelinfodialog.h \
    ErrorInfoDialog.h \
    SstmSettingDialog.h \
    SstmTtsClient.h \
    TunnelStatusChecker.h \
    TunnelStatus.h \
    Tunnel.h \
    SsPreCompile.h

FORMS    += tunnelinfodialog.ui \
    ErrorInfoDialog.ui \
    SstmSettingDialog.ui \
    Sstm.ui

CONFIG+=precompile_header
PRECOMPILED_HEADER+=SsPreCompile.h

RESOURCES += \
    Images.qrc

QMAKE_CXXFLAGS+= -std=c++11

target.path=/usr/bin
INSTALLS+=target

desktopFile.path=/usr/share/applications
desktopFile.files=sstm.desktop

INSTALLS+=desktopFile

iconFile.path=/usr/share/icons/hicolor/512x512/apps/
iconFile.files=sstm.png

INSTALLS+=iconFile


OTHER_FILES += \
    sstm.desktop

QT+=network

TRANSLATIONS+=sstm.ts

CONFIG+=qtsingleapplication
