#ifndef SSTM_SETTINGDIALOG_H
#define SSTM_SETTINGDIALOG_H

#include <QDialog>


namespace Ui {
class SstmSettingDialog; //SstmSettingDialog
}

class SstmSettingDialog : public QDialog
{
    Q_OBJECT

public:
    void setTtsServerPort(quint16 ttsServerPort); //!<设置TTS服务器的端口号。
    void setTtsServerAddress(QString ttsServerAddress); //!<设置TTS服务器地址。
    quint16 getTtsServerPort(); //!<获取TTS服务器的端口号。
    QString getTtsServerAddress(); //!<获取TTS服务器的地址。
    explicit SstmSettingDialog(QWidget *parent = 0); //!<构造函数。
    ~SstmSettingDialog(); //!<析构函数。
    
protected:
    void changeEvent(QEvent *e); //!<变更事件。
    
private:
    Ui::SstmSettingDialog *ui; //!<用户界面。
};

#endif // SETTINGDIALOG_H
